diff -Pcr tkdesk-1.2/catheader.c tkdesk-1.2-jp/catheader.c
*** tkdesk-1.2/catheader.c	Thu Jan  1 09:00:00 1970
--- tkdesk-1.2-jp/catheader.c	Fri Sep 15 17:46:38 2000
***************
*** 0 ****
--- 1,209 ----
+ #include <stdio.h>
+ #include <string.h>
+ 
+ void	decode(int *src) {
+ 	int	c,i,j,n,k;
+ 
+ 	n = 0;
+ 	i = 0;
+ 	j = 3;
+ 	do {
+ 		n |= (src[i] & 0x3f) << (j-- * 6);
+ 		if(j < 0) {
+ 			for(k = 2;k >= 0;k--) {
+ 				c = (n >> (k * 8)) & 0xff;
+ 				if(c != 0) putchar(c);
+ 			}
+ 			j = 3;
+ 			n = 0;
+ 		}
+ 	} while(src[i++] < 64);
+ 	for(k = 2;k >= 0;k--) {
+ 		c = (n >> (k * 8)) & 0xff;
+ 		if(c != 0) putchar(c);
+ 	}
+ }
+ 
+ void	subject(char *str) {
+ 	int	c,n,i,b,q;
+ 	int	num[1024];
+ 	char	scanbuf[3];
+ 
+ 	b = -1;
+ 	q = -1;
+ 	n = strlen(str);
+ 	for(i = 0;i < n;i++) {
+ 		if(strncmp(str + i,"=?iso-2022-jp?B?",16) ==  0) {
+ 			i += 16;
+ 			b = 0;
+ 		}
+ 		if(strncmp(str + i,"=?ISO-2022-JP?B?",16) ==  0) {
+ 			i += 16;
+ 			b = 0;
+ 		}
+ 		if(strncmp(str + i,"=?euc-jp?B?",11) ==  0) {
+ 			i += 11;
+ 			b = 0;
+ 		}
+ 		if(strncmp(str + i,"=?EUC-JP?B?",11) ==  0) {
+ 			i += 11;
+ 			b = 0;
+ 		}
+ 		if(strncmp(str + i,"=?shift_jis?B?",13) ==  0) {
+ 			i += 13;
+ 			b = 0;
+ 		}
+ 		if(strncmp(str + i,"=?SHIFT_JIS?B?",13) ==  0) {
+ 			i += 13;
+ 			b = 0;
+ 		}
+ 		if(strncmp(str + i,"=?iso-2022-jp?Q?",16) ==  0) {
+ 			i += 16;
+ 			q = 0;
+ 		}
+ 		if(strncmp(str + i,"=?ISO-2022-JP?Q?",16) ==  0) {
+ 			i += 16;
+ 			q = 0;
+ 		}
+ 		if(strncmp(str + i,"=?iso-8859-1?Q?",15) ==  0) {
+ 			i += 15;
+ 			q = 0;
+ 		}
+ 		if(strncmp(str + i,"=?ISO-8859-1?Q?",15) ==  0) {
+ 			i += 15;
+ 			q = 0;
+ 		}
+ 		if(b >= 0) {
+ 			if(isupper(str[i])) {
+ 				num[b++] = str[i] - 'A';
+ 			} else if(islower(str[i])) {
+ 				num[b++] = str[i] - 'a' + 26;
+ 			} else if(isdigit(str[i])) {
+ 				num[b++] = str[i] - '0' + 52;
+ 			} else if(str[i] == '+') {
+ 				num[b++] = 62;
+ 			} else if(str[i] == '/') {
+ 				num[b++] = 63;
+ 			} else if(str[i] == '?') {
+ 				num[b] = 64;
+ 				decode(num);
+ 				i++;
+ 				b = -1;
+ 			}
+ 		} else if(q == 0) {
+ 			if(str[i] == '=') {
+ 				if(isxdigit(str[i+1]) && isxdigit(str[i+2])) {
+ 					scanbuf[0] = str[++i];
+ 					scanbuf[1] = str[++i];
+ 					scanbuf[2] = '\0';
+ 					sscanf(scanbuf,"%x",&c);
+ 					putchar(c);
+ 				} else {
+ 					q = -1;
+ 					putchar(str[i]);
+ 				}
+ 			} else if(str[i] == '?' && str[i+1] == '=') {
+ 				q = -1;
+ 				i++;
+ 			} else {
+ 				putchar(str[i]);
+ 			}
+ 		}
+ 		else {
+ 			putchar(str[i]);
+ 		}
+ 	}
+ }
+ 
+ void rewrite(char *filename) {
+ 	char	buf[1024],bakname[64];
+ 	int	f,m;
+ 	FILE	*fpin,*fpout;
+ 
+ 	strcpy(bakname,filename);
+ 	strcat(bakname,".bak");
+ 	rename(filename,bakname);
+ 	f = 0;
+ 	m = 0;
+ 	fpin = fopen(bakname,"r");
+ 	fpout = fopen(filename,"w");
+ 	fgets(buf,1024,fpin);
+ 	while(!feof(fpin)) {
+ 		if(strlen(buf) <= 1 && m == 1) f = 1;
+ 		if(f == 0) {
+ 			if(strncmp(buf,"Message-Id: ",12) == 0) m = 1;
+ 			if(strncmp(buf,"Message-ID: ",12) == 0) m = 1;
+ 			if(strncmp(buf,"Message-id: ",12) == 0) m = 1;
+ 			if(strncmp(buf,"message-id: ",12) == 0) m = 1;
+ 			if(strncmp(buf,"MESSAGE-ID: ",12) == 0) m = 1;
+ 			if(strlen(buf) > 1) {
+ 				fputs(buf,fpout);
+ 			}
+ 		} else {
+ 			fputs(buf,fpout);
+ 		}
+ 		fgets(buf,1024,fpin);
+ 	}
+ 	fclose(fpin);
+ 	fclose(fpout);
+ 	unlink(bakname);
+ }
+ 
+ void main(int argc,char **argv) {
+ 	char	buf[1024],form[64],name[64];
+ 	char	*p;
+ 	FILE	*fp;
+ 	int	i,f,m,r;
+ 
+ 	strcpy(form,argv[1]);
+ 	strcat(form,"/%d");
+ 	i = 1;
+ 	sprintf(name,form,i);
+ 	fp = fopen(name,"r");
+ 	while(fp != NULL) {
+ 		f = 0;
+ 		m = 0;
+ 		r = 0;
+ 		fgets(buf,1024,fp);
+ 		buf[strlen(buf) - 1] = '\0';
+ 		printf("---- %d ----\n",i);
+ 		while(!feof(fp)) {
+ 			if(strlen(buf) <= 1) {
+ 				if(m == 0) r = 1;
+ 				else break;
+ 			}
+ 			p = buf;
+ 			if(buf[0] <= ' ') {
+ 				while(*p >= 0 && *p <= ' ') p++;
+ 			} else {
+ 				if(f == 1) putchar('\n');
+ 				f = 0;
+ 			}
+ 			if(strncmp(buf,"Subject: ",9) == 0) f = 1;
+ 			if(strncmp(buf,"subject: ",9) == 0) f = 1;
+ 			if(strncmp(buf,"SUBJECT: ",9) == 0) f = 1;
+ 			if(strncmp(buf,"From: ",6) == 0) f = 1;
+ 			if(strncmp(buf,"from: ",6) == 0) f = 1;
+ 			if(strncmp(buf,"FROM: ",6) == 0) f = 1;
+ 			if(strncmp(buf,"To: ",3) == 0) f = 1;
+ 			if(strncmp(buf,"to: ",3) == 0) f = 1;
+ 			if(strncmp(buf,"TO: ",3) == 0) f = 1;
+ 			if(strncmp(buf,"Date: ",6) == 0) f = 1;
+ 			if(strncmp(buf,"date: ",6) == 0) f = 1;
+ 			if(strncmp(buf,"DATE: ",6) == 0) f = 1;
+ 			if(strncmp(buf,"Message-Id: ",12) == 0) m = 1;
+ 			if(strncmp(buf,"Message-ID: ",12) == 0) m = 1;
+ 			if(strncmp(buf,"Message-id: ",12) == 0) m = 1;
+ 			if(strncmp(buf,"message-id: ",12) == 0) m = 1;
+ 			if(strncmp(buf,"MESSAGE-ID: ",12) == 0) m = 1;
+ 			if(f == 1) subject(p);
+ 			fgets(buf,1024,fp);
+ 			buf[strlen(buf) - 1] = '\0';
+ 		}
+ 		fclose(fp);
+ 		putchar('\n');
+ 		if(r == 1) rewrite(name);
+ 		sprintf(name,form,++i);
+ 		fp = fopen(name,"r");
+ 	}
+ }
\ No newline at end of file
diff -Pcr tkdesk-1.2/configure.in tkdesk-1.2-jp/configure.in
*** tkdesk-1.2/configure.in	Mon Nov 15 07:07:45 1999
--- tkdesk-1.2-jp/configure.in	Fri Sep 15 17:46:38 2000
***************
*** 94,100 ****
  # -----------------------------------------------------------------------
  AC_MSG_CHECKING(version of Tcl/Tk)
  AC_MSG_RESULT($TCL_VERSION/$TK_VERSION)
! TCL_VERSIONS_ALLOWED="7.5 7.6 8.0 8.1 8.2"
  if test -z "`echo $TCL_VERSIONS_ALLOWED | grep $TCL_VERSION`"; then
    echo
    echo [TkDesk requires Tcl/Tk versions 7.5/4.1, 7.6/4.2., or 8.0.]
--- 94,100 ----
  # -----------------------------------------------------------------------
  AC_MSG_CHECKING(version of Tcl/Tk)
  AC_MSG_RESULT($TCL_VERSION/$TK_VERSION)
! TCL_VERSIONS_ALLOWED="7.5 7.6 8.0 8.1 8.2 7.6jp 8.0jp"
  if test -z "`echo $TCL_VERSIONS_ALLOWED | grep $TCL_VERSION`"; then
    echo
    echo [TkDesk requires Tcl/Tk versions 7.5/4.1, 7.6/4.2., or 8.0.]
***************
*** 102,108 ****
    echo [yet supported \(but hopefully will be soon\).]
    exit 1
  fi
! TK_VERSIONS_ALLOWED="4.1 4.2 8.0 8.1 8.2"
  if test -z "`echo $TK_VERSIONS_ALLOWED | grep $TK_VERSION`"; then
    echo
    echo [TkDesk requires Tcl/Tk versions 7.5/4.1, 7.6/4.2, or 8.0.]
--- 102,108 ----
    echo [yet supported \(but hopefully will be soon\).]
    exit 1
  fi
! TK_VERSIONS_ALLOWED="4.1 4.2 8.0 8.1 8.2 4.2jp 8.0jp"
  if test -z "`echo $TK_VERSIONS_ALLOWED | grep $TK_VERSION`"; then
    echo
    echo [TkDesk requires Tcl/Tk versions 7.5/4.1, 7.6/4.2, or 8.0.]
